> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all event groups

> Get all event groups for the organizations the API key has access to. Event ids blocked for the channel are excluded from each group.



## OpenAPI

````yaml get /event-groups
openapi: 3.0.0
info:
  title: Channel Manager API
  version: 0.1.0
  description: >-
    Official API documentation for Channel Manager. All endpoints are protected
    by an API key.
servers:
  - url: https://channels-service-alpha.fourvenues.com
    description: Test server
  - url: https://channels-service.fourvenues.com
    description: Production server
security: []
tags: []
paths:
  /event-groups:
    get:
      tags:
        - Event Groups
      summary: Get all event groups
      description: >-
        Get all event groups for the organizations the API key has access to.
        Event ids blocked for the channel are excluded from each group.
      operationId: getEventGroups
      parameters:
        - name: organization_id
          in: query
          description: Organization id to get event groups for.
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: Limit the number of event groups returned.
          required: false
          schema:
            type: integer
            format: int32
            default: 50
        - name: offset
          in: query
          description: Offset the event groups returned.
          required: false
          schema:
            type: integer
            format: int32
            default: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/EventGroup'
                  success:
                    type: boolean
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Not Found
      security:
        - ApiKey: []
components:
  schemas:
    EventGroup:
      type: object
      description: A group of events belonging to an organization.
      properties:
        _id:
          type: string
          description: Unique identifier of the event group.
          example: p03zns27fhz7opf9lqulc1scg9ke5z1y
        organization_id:
          type: string
          description: Unique identifier of the organization.
          example: Mjo4f9o9h01fdjvmmrgn9aoh4s5IBHzX
        name:
          type: string
          description: Name of the event group.
          example: CM EVENTS
        description:
          type: string
          nullable: true
          description: Description of the event group.
        event_ids:
          type: array
          items:
            type: string
          description: Event ids included in the group that are accessible for the channel.
      required:
        - _id
        - organization_id
        - name
        - event_ids
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````